#
# Conditional build:
%bcond_without	python2		# CPython 2.x module
%bcond_without	python3		# CPython 3.x module

%define		module	Cython

Summary:	Language for writing Python Extension Modules (Python 2.x version)
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona (wersja dla Pythona 2.x)
Name:		python-%{module}
Version:	0.23.4
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://cython.org/release/%{module}-%{version}.tar.gz
# Source0-md5:	157df1f69bcec6b56fd97e0f2e057f6e
URL:		http://cython.org/
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
Requires:	python-devel >= 1:2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautocompressdoc	*.c

%description
Cython lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python. Cython is
based on Pyrex.

This package contains Cython module for Python 2.x.

%description -l pl.UTF-8
Cython pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.
Cython jest oparty na Pyreksie.

Ten pakiet zawiera moduł Cython dla Pythona 2.x.

%package -n python3-Cython
Summary:	Language for writing Python Extension Modules (Python 3.x version)
Summary(pl.UTF-8):	Język służący do pisania modułów rozszerzających Pythona (wersja dla Pythona 3.x)
Group:		Libraries/Python
Requires:	python3-devel >= 1:3.2

%description -n python3-Cython
Cython lets you write code that mixes Python and C data types any way
you want, and compiles it into a C extension for Python. Cython is
based on Pyrex.

This package contains Cython module for Python 3.x.

%description -n python3-Cython -l pl.UTF-8
Pyrex pozwala pisać kod zawierający dane Pythona i języka C połączone
w jakikolwiek sposób i kompiluje to jako rozszerzenie C dla Pythona.
Cython jest oparty na Pyreksie.

Ten pakiet zawiera moduł Cython dla Pythona 3.x.

%package examples
Summary:	Examples for Cython language
Summary(pl.UTF-8):	Przykłady programów w języku Cython
Group:		Libraries/Python
Obsoletes:	python3-Cython-examples

%description examples
This package contains example programs for Cython language.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy napisane w języku Cython.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build \
	--build-base build-2
%endif

%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build \
	--build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%{__python3} setup.py \
	build \
		--build-base build-3 \
	install \
		--optimize=2 \
		--skip-build \
		--root=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_bindir}/cython{,3}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/cythonize{,3}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/cygdb{,3}
%endif

%if %{with python2}
%{__python} setup.py \
	build \
		--build-base build-2 \
	install \
		--optimize=2 \
		--skip-build \
		--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitedir} -name "*.py" -a ! -name 'Lexicon.py' -exec rm -f {} \;
%endif

cp -a Demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc COPYING.txt README.txt ToDo.txt USAGE.txt Doc/*.html Doc/*.c
%attr(755,root,root) %{_bindir}/cython
%attr(755,root,root) %{_bindir}/cythonize
%attr(755,root,root) %{_bindir}/cygdb
%{py_sitedir}/cython.py[co]
%{py_sitedir}/Cython
%{py_sitedir}/pyximport
%{py_sitedir}/Cython-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-Cython
%defattr(644,root,root,755)
%doc COPYING.txt README.txt ToDo.txt USAGE.txt Doc/*.html Doc/*.c
%attr(755,root,root) %{_bindir}/cython3
%attr(755,root,root) %{_bindir}/cythonize3
%attr(755,root,root) %{_bindir}/cygdb3
%{py3_sitedir}/cython.py
%{py3_sitedir}/__pycache__/cython.*
%{py3_sitedir}/Cython
%{py3_sitedir}/pyximport
%{py3_sitedir}/Cython-%{version}-py*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Oct 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Cython.git;a=log;h=master

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 760790e
- updated to 0.23.4

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 29ef7e4
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 325d54a
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 996477a
- updated to 0.23.1

* Thu Jun 25 2015 Jakub Bogusz <qboosh@pld-linux.org> e44bbaa
- updated to 0.22.1

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> f4773c5
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 15 2015 Jakub Bogusz <qboosh@pld-linux.org> e75cb42
- updated to 0.22

* Tue Oct 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 4194a06
- updated to 0.21.1

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fa144e1
- python 3.4
- release 2 (by relup.sh)

* Sun Sep 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 28c9083
- updated to 0.21; only python 2.6+/3.2+ supported now

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 50da018
- build both python2/python3 modules from single spec

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 7f7a736
- build package in build stage

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a873ba
- updated to 0.20.1

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> eded426
- updated to 0.20

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> fbf8587
- updated to 0.19.2

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 06b0b7b
- updated to 0.19.1

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> f0c8ea1
- updated to 0.17.4

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b320faa
- updated to 0.17.3

* Sat Nov 24 2012 wrobell <wrobell@pld-linux.org> 7219572
- ver. 0.17.2

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 2f3f9df
- updated to 0.17.1

